Bug 599239 - VUL-0: cacti: SQL injection in template_export
VUL-0: cacti: SQL injection in template_export
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 11.0
Classification: openSUSE
Component: Security
Final
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Security Team bot
E-mail List
maint:released:11.0:32992
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 14:14 UTC by Ludwig Nussel
Modified: 2010-04-29 09:13 UTC (History)
1 user (show)

See Also:
Found By: Other
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2010-04-23 14:14:50 UTC
Your friendly security team received the following report via oss-security.
Please respond ASAP.
The issue is public.

------------------------------------------------------------------------------
Date: Fri, 23 Apr 2010 15:35:25 +0200
From: "Thijs Kinkhorst" <thijs@debian.org>
Subject: [oss-security] CVE Request: cacti SQL injection in template_export

Hi,

On Wednesday an SQL injection issue was announced on Full Disclosure by
"Bonsai Information Security":
http://seclists.org/fulldisclosure/2010/Apr/272, quoting:
> A Vulnerability has been discovered in Cacti, which can be exploited by
> any user to conduct SQL Injection attacks. Input passed via the
> “export_item_id” parameter to “templates_export.php” script is not
> properly sanitized before being used in a SQL query.

Upstream has issued a patch for this issue:
http://www.cacti.net/downloads/patches/0.8.7e/sql_injection_template_export.patch
(but no new release yet)


thanks,
Thijs
Comment 1 Cristian Rodriguez 2010-04-24 12:35:29 UTC
Fixed
Comment 2 Swamp Workflow Management 2010-04-26 07:23:49 UTC
The SWAMPID for this issue is 32964.
This issue was rated as low.
Please submit the packages and patchinfo file using this ID.
(https://swamp.suse.de/webswamp/wf/32964)
Comment 3 Ludwig Nussel 2010-04-27 07:08:36 UTC
CVE-2010-1431
Comment 4 Swamp Workflow Management 2010-04-29 09:10:41 UTC
Update released for: cacti
Products:
openSUSE 11.0 (i386)
Comment 5 Ludwig Nussel 2010-04-29 09:11:39 UTC
released